Download it now!
Bug 34396 - UI: Unit for extrusion depth in cm, although mm as default unit selected
Summary: UI: Unit for extrusion depth in cm, although mm as default unit selected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords: needsDevEval, skillDebug, topicUI
Depends on:
Blocks:
 
Reported: 2011-02-17 07:13 UTC by Rainer Bielefeld Retired
Modified: 2015-12-15 22:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
See original report! (64.22 KB, application/pdf)
2011-02-17 07:13 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-02-17 07:13:21 UTC
Created attachment 43486 [details]
See original report!

I found that with "LibreOffice 3.3.1 RC1 - WIN7  Home Premium (64bit) English and German UI  [OOO330m19 (build 7 / tag 3.3.1.1)]".

Everywhere unit is "mm", only "Extrusion Depth" is in cm, pls see attached screenshot!
Comment 1 Jeroen 2011-03-09 14:00:56 UTC
I reproduced this issue as follows with LibreOffice 3.3.1 OOO330m19 (Build:8)tag libreoffice-3.3.1.2 on Windows xp 32bit:

1. Open new Draw file.
2. Goto Tools->Options->LibreOffice Draw->General and set Unit of measurement to mm.
3. Create basic shape, like star.
4. Open View->Toolbars->3D-Settings and turn extrusion on on the shape.
5. In 3D-Settings goto Depth->Custom...
Here the extrusion depth is shown in cm instead of mm. This is also the case for m and km.

I also noted that when Unit of Measurement is set to m or km the Line and Filling toolbar still uses cm. Is that correct behaviour?
Comment 2 Björn Michaelsen 2011-12-23 11:43:12 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Dominik Kopp 2012-08-13 21:34:14 UTC
confirmed in 3.5.4 as described in comment #1
Comment 4 Rainer Bielefeld Retired 2012-08-14 04:34:17 UTC
Also visible with OOo 3.1.1, so problem seems inherited from OOo

Still a problem with parallel installation of Master "LOdev  3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7d8cd0a]" (tinderbox: 2008R2@20, pull time 2012-08-10 23:27:17)
Comment 5 Julien Nabet 2013-11-15 23:21:11 UTC
Caolán: by taking a look at svx/source/tbxctrls/extrusioncontrols.src, it seems only cm and inches can be selected.
(see http://opengrok.libreoffice.org/xref/core/svx/source/tbxctrls/extrusioncontrols.src#495)
+ http://opengrok.libreoffice.org/xref/core/svx/source/tbxctrls/extrusioncontrols.cxx#299
Moreover Extrusion On/Off appears twice when state is ON and once when state is OFF.

In brief, it could be interesting to put it at the top of the convert ui list rather than bottom of it:-)
Comment 6 Commit Notification 2013-12-05 11:33:23 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab80ea279bea37f4dd919417433cfd72ca28e8bd

Related: fdo#34396 convert extrusion dialog to .ui



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-05 11:45:02 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3440440dbf433d98673d114959d862d6bbcf5de2

Resolves: fdo#34396 use default units in extrusion depth dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-15 22:38:44 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval,  SkillDebug TopicUI )
[NinjaEdit]